Bug 190094 - Problem building custom kernel with XEN support
Problem building custom kernel with XEN support
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 11:02 EDT by Lutz Voigt
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Compiler output (1.37 KB, application/octet-stream)
2006-04-27 11:02 EDT, Lutz Voigt
no flags Details

  None (edit)
Description Lutz Voigt 2006-04-27 11:02:16 EDT
Description of problem:
I'm trying to build a custom kernel with XEN support included (level 0). The
compilation stops while processing drivers/xen/blktap/xenbus.c (error messages
included in attachment).

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2096_FC5.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Start the kernel build with make
2.
3.
  
Actual results:
Compilation stops with error

Expected results:
Working custom kernel

Additional info:
As far as i can see, the calls to xenbus_exists, xenbus_rm and
xenbus_transaction_end lack the first argument of the function. Following
include/xen/xenbus.h and drivers/xen/xenbus/xenbus_xs.c those functions expect
an argument of type xenbus_transaction_t and they get passed char pointers or
integers instead.
Comment 1 Lutz Voigt 2006-04-27 11:02:16 EDT
Created attachment 128308 [details]
Compiler output
Comment 2 Dave Jones 2006-10-16 15:51:28 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:41:55 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.